@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

html, body {
	background: #D5E2FD;
	font-family: 'Montserrat', sans-serif;
	font-size: 14px;
}

.card_index {
	background: linear-gradient(#D7E7FD, #E1ffff);
	box-shadow: 0 8px 16px -8px rgba(0,0,0,0.2);
	border-radius: 10px;
	overflow: hidden;
	width: auto;
	height: calc(100% + 0px); 
	margin: 0 left;
	display: flex;
	flex-direction: column;
    border-color: #000;
	box-shadow: 0 2px 3px 0px #4B5382;
}

.card_index-body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.card_index-img {
	width: 122px;
}

.card_index-title {
	margin-top: 0.5rem;
	margin-bottom: 0rem;
	font-size: 1.5rem;
	color: #4B0082;
}

.card_index-text {
	overflow:hidden ;
	text-overflow :ellipsis ;
	margin-top :auto ;
	margin-bottom :-0.5rem ;
	font-size :1.1rem ;
	max-height :70px ;
	overflow :auto ;
	color :#2F1E3B ;
}

.btn-primary {
	margin-top :auto;
	margin-bottom :0.5rem;
	background-color :#4B5382;
	box-shadow: 0 8px 16px -8px rgba(0,0,0,0.7);
	border-color :#aaa;
	border-radius :20px;
	background-image:url("");
	background-size :60px;
	font-size :1.1rem;
	color :#fff;
}

.btn-primary:hover {
	background-color :#00695C;
	border-color :#128DD3;
}

.container {
	color :#2F1E3B;
	padding :0.5rem;
	text-align:center;
	max-width: 80%; 
}

.navtop-container {
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	background :linear-gradient(#4B7382, #4B5382);
	box-shadow: 0 8px 16px -8px rgba(0,0,0,0.7);
	height: 60px;
	color: #2F1E3B;
	padding: 1rem;
	margin-bottom: 1rem;
	font-size: 26px;
}


.navtop-container a {
	color: #fff;
	text-decoration: none;
}

.loader {
	display: flex;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 9999;
}

.circle {
	display: inline-block;
	margin: 0 10px;
	width: 16px;
	height: 16px;
	border-radius: 50%;
	background-color: #c3a3ff;
	animation: bounce 2s infinite;
	opacity: 0;
}

.circle:nth-child(1) {
	animation-delay: 0s;
}

.circle:nth-child(2) {
	animation-delay: 0.2s;
}

.circle:nth-child(3) {
	animation-delay: 0.6s;
}

@keyframes bounce {
	0%, 100% {
		transform: translateY(0);
		opacity: 0;
	}
	50% {
		transform: translateY(-8px);
		opacity: 1;
	}
}

.hidden {
	display: none;
}

#loading {
	display: none;
}

/* Responsive */
@media (max-width:576px) {	
	.card_index {
		width:auto; 
		height:100%; 
		margin:0 left; 
		display:flex; 
	}
	
	.card_index-img {
		height:88px;
		object-fit:cover;
	}
	
	.card_index-body {
		flex-grow:1 ; 
		display:flex;
		flex-direction:column;
		justify-content:center;
		align-items:center;
	}
}

/* ...................... Chat CSS ......................  */	

body {
	font-size: 19px;
	
	margin: 0;
	padding: 0;
	height: 100%;
}

/* Menu */
.navtop-chat {
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	background :linear-gradient(#4B7382, #4B5382);
	box-shadow: 0 8px 16px -8px rgba(0,0,0,0.7);
	height: 60px;
	color: #2F1E3B;
	padding: 1rem;
	margin-bottom: 1rem;
	font-size: 26px;
}

.navtop-chat a {
	color: #fff;
	text-decoration: none;
}

/* Modal */
.modal {
	background: #D5E2FD; 
}

.modal-dialog {
    max-width: 75%;
    margin: auto;
	margin-top: 80px;
}

.modal-header {
    color: #fff;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
    background: linear-gradient(#4B5382, #dee);
    padding: 5px;
    max-height: 65px;
}

.modal-header img {
	margin-right: 10px; 
}

.modal-body {
	background: url(../img/pattern.png) #A0E0E5; 
	/*height: 100%;*/
	flex-basis: calc(100vh - 300px);
	flex-grow: 1;
	overflow-y: auto;
	padding: 10px;
	
}

.modal-footer {
	background: linear-gradient(#dde, #4B5382);
	padding: 3px;
	position: relative;
	z-index: 1;
	bottom: 0;
	margin-top: 0px; 
	gap: 10px;
}

.chat-input {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    position: relative;
    width: 100%; 
}

.chat-input textarea {
    flex-grow: 1; 
    margin-bottom: 0;
    border: 1px solid #E0E4E7;
    resize: none;
    border-radius: 10px;
    color: #4E4E4E;
    display: flex;
    padding: 0.2em 1em;
    font-size: 18px;
}

.btn-send-chat {
    background: linear-gradient(360deg, #0F2A3A 5%, #1C5E63 100%);
    border-radius: 8px;
    padding: 1em 0.5em;
    font-size: 18px;
    font-weight: bold;
    border: 0;
    color: #FFFFFF;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 130px;
}

.btn-send-chat .btn-text {
    margin-right: 5px;
}

.btn-send-chat .btn-icon {
    width: 30px;
}

.btn-send-chat:hover {
    background: linear-gradient(360deg, #000 0%, #1C5E63 100%);
}

::-webkit-scrollbar {
	width: 10px;
	background: transparent;
}

::-webkit-scrollbar-track {
	background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
	background: #888;
}

::-webkit-scrollbar-thumb:hover {
	background: #555;
}

.chat-container {
    clear: both;
    display: inline-block; 
    vertical-align: top; 
}

.chat-bubble { 
	position: relative; 
	overflow-wrap: break-word; 
	padding: 20px; 
	border-radius: 25px; 
	margin: 5px 0; 
	clear: both; 
	max-width: 80%;
	display: inline-block; 
    vertical-align: top; 
}

.chat-bubble.me { 
    background-color: #fffddd;
    box-shadow: 0 8px 16px -8px rgba(0, 0, 0, 0.4);
    float: right;
    border-bottom-right-radius: 0;
    border-bottom: 1px solid #777;
    border-right: 1px solid #777;
    margin-top: 5px;
}

.chat-bubble.me::before {
	content: attr(data-time);
	display: block;
	font-size: 0.6em;
	color: #222;
	text-align: right;
	margin-top: -20px;
}

.chat-bubble.other {
	background-color: #fff;
	box-shadow: 0 8px 16px -8px rgba(0, 0, 0, 0.4);   
	border-bottom-left-radius: 0; 
	float: left;
	border-radius: 20px;
	border-bottom-left-radius: 0; 
    border-bottom: 1px solid #777; 
	border-right: 1px solid #777
	clear: both; 
	margin-bottom: 5px;
}

.chat-bubble.other::before {
	content: attr(data-time);
	display: block;
	font-size: 0.6em;
	color: #222;
	text-align: right;
	margin-top: -20px;
}

.chat-bubble.error { 
	background-color: red;
	color: #fff;
	box-shadow: 0 8px 16px -8px rgba(0, 0, 0, 0.4); 
    float: left; 
	margin-right: 10%; 
}

.chat-bubble.error {
    background-color: #ffcccc; 
    color: #d9534f; 
    border: 2px solid #d9534f; 
    padding: 10px;
    border-radius: 10px;
    margin: 5px 0;
}

.chat-bubble.wait { 
	background-color: #fffbbb;
	color: white;
	box-shadow: 0 8px 16px -8px rgba(0, 0, 0, 0.4); 
	float: left; 
	margin-right: 10%; 
	border-right: 2px solid #777;
	border-bottom: 2px solid #777;
	box-shadow: 0 16px 21px 5px #0180de42;
	
}

@keyframes dotAnimation {
	0% {
		opacity: 1;
		color: #000; /
	}
	50% {
		opacity: 0.5;
		color: #111; 
	}
	100% {
		opacity: 1;
		color: #000; 
	}
}

.chat-bubble.wait.loading {
	animation: dotAnimation 1s infinite; 
}

.chat-top-image{
    width: 56px;
    height: 56px;
    border-radius: 50%;
    overflow: hidden;
    background: #0579ce;
}
.chat-top-image img{
    width: 100%;
}

.chat-top-name h4{
    color: #FFFFFF;
    font-weight: bold;
    font-size: 19px;
    margin-bottom: 0;
}

.chat-top-expert{
    display: block;
    font-size: 18px;
    color: #333;
}

.online-bullet{
    background: #02D00A;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    display: inline-block;
}

/* Responsive */
@media (max-width: 768px) {
	
	.modal {
		background: #000; 
	}		
	
	.modal-dialog {
		width: 100%;
		height: 99%;
		margin: 0;
		min-width: 100%;
	}
	
	.modal-content {
		height: 100%;
		
	} 
	
	.modal-header {
		position: sticky;
		top: 0;
		z-index: 2;
	}
	
	.modal-body {
		overflow-y: auto;
	 /* max-height: calc(100% - 56px); */
		color: #000;
		font-size: 15px;
	}
	
	.modal-footer {
		position: sticky;
		bottom: 0;
	}

    .modal-footer textarea{
	    width: 100%;
        padding: 2px;
        font-size: 14px;
        height: 50px;
        border-radius: 3px;
		margin-left: 8px;
	}
	
	.chat-bubble {
        max-width: 93%;
	}
	
		.chat-top{
		margin-top: -20px;
	}
	
		.dropdown-toggle img{
		width: 43px;
		height: 43px;
		margin-left: 0;
		margin-top: 10px;
	}
	
	.chat-top-image{
		width: 43px;
		height: 43px;
		margin-left: 5px;
		margin-top: 10px;
	}
	
    .chat-top-name {
        font-weight: bold;
        font-size: 16px;
        margin-bottom: -5px;
	}
	
    .chat-top-expert {
        display: block;
        font-size: 14px;
		margin-bottom: -10px;
	}
	
	.btn-send-chat {
		width: auto; 
	}
	
    .btn-send-chat{
        height: 45px;      
        border-radius: 3px;
		min-width: 50px;
		margin-right: 8px;
	}
	
    .btn-send-chat span{
        display: none;
	}
}

